/* RESET */
*{
    font-family: 'Kumbh Sans', sans-serif;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
body{
    font-family: 'Kumbh Sans', sans-serif;

}
ol,ul{
    list-style: none;
}
a{
    text-decoration: none;
    color: inherit;
    outline-style: 0;
}
button{
    outline-style: none;
}
@font-face{
    font-family:'cocogoose';
    src: url('cocogoose.ttf');
}
@font-face{
    font-family:'vacaciones';
    src: url('vacaciones.ttf');
}
@font-face{
    font-family:'young';
    src: url('young.ttf');
}
form input, form textarea{
    padding-bottom: 35px;
    background-color: #fefeff;
    border-radius: 4px;
    box-shadow: -2px -2px #E5E5E5;
    border: 0px;
    width: 100%;
    padding: 15px;
    color: #777777;
    margin-bottom: 15px;

}
.display{
    visibility: hidden;
}
$color-connexion-text : rgb(65, 120, 120);
$background-message: rgba(231, 232, 221, 0.345);
$color-titre-menu:#f2d45b;
.body-no-connect{
    display: flex;
    justify-content: flex-end;
    align-items: flex-end;
    flex-direction: column;
    flex-wrap: wrap;
    background-image: url("background.jpg"); 
    background-size: auto 100%;
    height: 100%;
    .title-no-connect{
        width: 100vw;
        padding: 3%;
        background-color: rgba(173, 204, 215, 0.555); 
        font-family: 'vacaciones';
        font-weight: 100;
        color: $color-connexion-text;
        font-size: 27px;
        text-transform: uppercase;;
        letter-spacing: 10px;
    }
    main{
        
        padding: 5%;
        font-family:'cocogoose';
        color: $color-connexion-text;
        flex-wrap: unset;
        margin: 5%;
        width: 50%;
        display: flex;
        flex-direction: column;
        border-radius: 15px;
        background:$background-message;
        button{
            padding: 5px;
            margin-left: auto;
            margin-right: auto;
            background-color:  $color-connexion-text;
            font-size: 12px;
            border-radius: 4px;
            padding: 10px;
            margin-top: 20px ;
            margin-bottom: 20px ;
            line-height: 12px;
            border: #000 solid  0px;
            color: #fefefe;
            text-transform: uppercase;
            letter-spacing: 2px;
            background-image: radial-gradient(farthest-side circle at ,#f07c6f00 ,#4d7df5 );
        
            box-shadow: #c0bdbd 2px 3px;
        
        }
        input{
            margin: 5px;
        }
    }
}
.router-detail{
    display: none;
}
.body-connected{
    display: flex;
    flex-direction: column;

    nav{
        width: 100%;
        background-image: url('background.jpg');
        background-position: 0px -170px;
        background-repeat: no-repeat;
        background-attachment: fixed;
        background-size: cover;
        background-color: #464646;
        display: flex;
        flex-direction: column;
        align-items: center;
        .title-connected{
            width: 100%;
            margin-top:60px;
            height: 80px;
            padding: 10px;
            display: flex;
            align-items: center;
            font-family:'vacaciones';
            border-top: #fefefe solid 1px;
            border-bottom: #fefefe solid 1px;
            color: $color-titre-menu;
            text-transform: uppercase;
            .field_search{
                position:absolute;
                width:220px;
                right: 30px;
                top:79px;


            }
            .btn-search{  
                position:absolute;
                right: 30px;
                margin:10px;
                display: block;
                font-size: 25px;
            }

        }
        .slogan{
            margin-top: 80px;
            h2{
                font-family:'cocogoose';
                color: $color-titre-menu;
                font-size: 30px;
                text-align: center;
            }
            span{
                display: flex;
                font-family:'cocogoose';
                color:#fefefe;
                font-size: 20px;
                text-align: center;
                margin: 20px;

            }
        }
        .menu{
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: space-around;
            a{  
                background: linear-gradient(200deg,#f2c75b,#f2d95b);
                text-align: center;
                margin: 15px;
                display: flex;
                align-items: center;
                justify-content: center;
                font-family:'cocogoose';
                color: #fefefe;
                width: 170px;
                height: 60px;
                border-radius: 15px;
                border:  #f2d45b solid 2px;
                &:hover{
                    background: transparent;
                    border: #fefefe solid 2px;

                }
            }
        }
        .frame{
            width:100%;
        }


    }
    .chambre{
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        margin-top: 60px;
        background-color: hsla(228, 46%, 55%, 0.304);

        width:100%;
        .img-container{

            overflow: hidden;
            width: 100%;
            height: 220px;
            .canevas-img{
                width:100%;
                position: absolute;
                z-index: 20;
               
            }
            img {    
                width: 100%;
                top: 50%;
                transform: translateY(-53%);
            
                display: block; 
                margin-left: auto;
                margin-right: auto;
                position: relative;
            }
     
        }
        h2{
            font-family:'cocogoose';
            color: #fefefe;
            align-items: center;
            position: relative;
            top: -70px;


        }
        form{
            justify-self: end;
            margin-left: 65%;
            .btn-reserver{
                margin-left: 100%;
                text-transform: capitalize;
                justify-self: end;
                background: linear-gradient(200deg,#f2c75b,#f2d95b);
                text-align: center;
                margin: 15px;
                display: flex;
                align-items: center;
                justify-content: center;
                font-family:'cocogoose';
                color: #fefefe;
                width: 170px;
                height: 60px;
                border-radius: 15px;
                border:  #f2d45b solid 2px;
                &:hover{
                    background: transparent;
                    border: #fefefe solid 2px;
        
                }
        }
        }    
        .renseignement{
            display: flex;
            width: 100%;
            flex-wrap: wrap;
            justify-content: flex-end;
            .description{
                justify-self: start;
                display: block;
                width:40%;
                padding: 15px;
                color:#0B0F1E;
                font-size: 20px;
            }
            .equipement{
                width:20%;
                display: flex;
                flex-direction: column;
                justify-content: center ;
                span{
                    margin:3px;
                    background: #f2d45b;
                    padding: 2px;
                    color: #fefefe;
                    border-radius: 14px;

                }
            }
            .prix{
                margin-left: 20%;
                width: 100px;
                font-weight: 900;
                font-size: 20px;
                padding: 10px;
                align-self: flex-end;
                display: flex;
            }
            .adresse{
                width: 100%;
                display: flex;
                justify-content: center;
                padding: 15px;
            }
        }
        .canevas-img-bas{
            width: 100%;
        }
    }

}
@media (min-width: 600px){
    .body-connected  nav > .menu{
        flex-direction: row;
    }
}